import request from '@/utils/request'

// 查询推荐度列表
export function listMallSchoolSuggest(query) {
  return request({
    url: '/mall/mallSchoolSuggest/list',
    method: 'get',
    params: query
  })
}

// 查询推荐度详细
export function getMallSchoolSuggest(suggestId) {
  return request({
    url: '/mall/mallSchoolSuggest/' + suggestId,
    method: 'get'
  })
}

// 新增推荐度
export function addMallSchoolSuggest(data) {
  return request({
    url: '/mall/mallSchoolSuggest',
    method: 'post',
    data: data
  })
}

// 修改推荐度
export function updateMallSchoolSuggest(data) {
  return request({
    url: '/mall/mallSchoolSuggest',
    method: 'put',
    data: data
  })
}

// 删除推荐度
export function delMallSchoolSuggest(suggestId) {
  return request({
    url: '/mall/mallSchoolSuggest/' + suggestId,
    method: 'delete'
  })
}
